## ide-doap ide-doap |

## Functions

IdeDoap * | ide_doap_new ()
GQuark | ide_doap_error_quark ()
gboolean | ide_doap_load_from_file ()
gboolean | ide_doap_load_from_data ()
const gchar * | ide_doap_get_name ()
const gchar * | ide_doap_get_shortdesc ()
const gchar * | ide_doap_get_description ()
const gchar * | ide_doap_get_bug_database ()
const gchar * | ide_doap_get_download_page ()
const gchar * | ide_doap_get_homepage ()
const gchar * | ide_doap_get_category ()
gchar ** | ide_doap_get_languages ()
GList * | ide_doap_get_maintainers ()

## Types and Values

#define | IDE_DOAP_ERROR
#define | IDE_TYPE_DOAP
enum | IdeDoapError
| IdeDoap

## Description

## Functions

### ide_doap_new ()

    IdeDoap *
    ide_doap_new (void);

### ide_doap_error_quark ()

    GQuark
    ide_doap_error_quark (void);

### ide_doap_load_from_file ()

    gboolean
    ide_doap_load_from_file (IdeDoap *self,
                             GFile *file,
                             GCancellable *cancellable,
                             GError **error);

### ide_doap_load_from_data ()

    gboolean
    ide_doap_load_from_data (IdeDoap *self,
                             const gchar *data,
                             gsize length,
                             GError **error);

### ide_doap_get_name ()

    const gchar *
    ide_doap_get_name (IdeDoap *self);

### ide_doap_get_shortdesc ()

    const gchar *
    ide_doap_get_shortdesc (IdeDoap *self);

### ide_doap_get_description ()

    const gchar *
    ide_doap_get_description (IdeDoap *self);

### ide_doap_get_bug_database ()

    const gchar *
    ide_doap_get_bug_database (IdeDoap *self);

### ide_doap_get_download_page ()

    const gchar *
    ide_doap_get_download_page (IdeDoap *self);

### ide_doap_get_homepage ()

    const gchar *
    ide_doap_get_homepage (IdeDoap *self);

### ide_doap_get_category ()

    const gchar *
    ide_doap_get_category (IdeDoap *self);

### ide_doap_get_languages ()

    gchar **
    ide_doap_get_languages (IdeDoap *self);

#### Returns

A GStrv.

[transfer none]

### ide_doap_get_maintainers ()

    GList *
    ide_doap_get_maintainers (IdeDoap *self);

#### Returns

A GList of IdeDoapPerson.

[transfer none][element-type IdeDoapPerson*]

## Types and Values

### IDE_DOAP_ERROR

    #define IDE_DOAP_ERROR (ide_doap_error_quark())

### IDE_TYPE_DOAP

    #define IDE_TYPE_DOAP  (ide_doap_get_type())

### enum IdeDoapError

#### Members

IDE_DOAP_ERROR_INVALID_FORMAT |  |

### IdeDoap

    typedef struct _IdeDoap IdeDoap;